libzypp 17.37.10

zypp::media::MediaBlock Struct Reference

a single block from the blocklist, consisting of an offset and a size More...

`#include <zypp-curl/parser/mediablocklist.h>`

## Public Member Functions
| MediaBlock (off_t off_r, size_t size_r)

## Public Attributes
off_t | off
size_t | size

## Detailed Description

a single block from the blocklist, consisting of an offset and a size

Definition at line 27 of file mediablocklist.h.

## Constructor & Destructor Documentation

## ◆ MediaBlock()

zypp::media::MediaBlock::MediaBlock | ( | off_t | off_r,
|  | size_t | size_r )
| inline

Definition at line 28 of file mediablocklist.h.

## Member Data Documentation

## ◆ off

off_t zypp::media::MediaBlock::off

Definition at line 32 of file mediablocklist.h.

## ◆ size

size_t zypp::media::MediaBlock::size

Definition at line 33 of file mediablocklist.h.

The documentation for this struct was generated from the following file:

- zypp-curl/parser/mediablocklist.h